/**
 * Глобальное дерево, от которого отнаследованы все остальные.
 * Копирует идеологию ядра. 
 * Ноды этого дерева имеют доступ только к списку своих потомков.
 *
 * @group manager
 * @class GlobalTree
 * @memberof Trees
 */
function GlobalTree() {
    /**
     * Возвращает ссылку на ноду. В качестве идентификатора надо указать идентификатор ноды.
     *  Работает через промис.
     *
     * @public
     * @function get
     * @param {v2.integer} nodeId Уникальный идентификатор ноды в дереве
     * @returns {tools.promise}
     * @memberof Trees.GlobalTree
     */
    this.get = function(nodeId) {

    };

    /**
     * Позволяет удалить динамический атрибут ноды. 
     * Возвращает булевое значение об операции
     *
     * @public
     * @function remove
     * @param {v2.string} nodeId Уникальный идентификатор ноды в дереве
     * @returns {boolean}
     * @memberof Trees.GlobalTree
     */
    this.remove = function(nodeId) {

    };

    /**
     *  Возвращает адрес дерева в системе
     *
     * @public
     * @function sys_addr
     * @returns {v2.address}
     * @memberof Trees.GlobalTree
     */
    this.sys_addr = function() {

    };
}
